ChartDirector Ver 5.0 (PHP Edition)

DrawArea.text2

Usage

text2(str, font, fontIndex, fontHeight, fontWidth, angle, vertical, x, y, color [, alignment ])

Description

Draws text.

Arguments

Argument | Default | Description
--- | --- | ---
str | (Mandatory) | A string representing the text to be drawn. See ChartDirector Mark Up Language on how to embed special tags in the text for sophisticated formatting.
font | (Mandatory) | The font name. See Font Specification for details on various font attributes.
fontIndex | (Mandatory) | The font index in case the font name refers to a font collection. An index of 0 means the first font.
fontHeight | (Mandatory) | The font height in points.
fontWidth | (Mandatory) | The font width in points.
angle | (Mandatory) | The rotation angle of the text. The angle is measured in degrees in clockwise direction.
vertical | (Mandatory) | A true (non-zero) value means the text is layout vertically (from top to bottom). A false (zero) value means the is layout horizontally (from left to right).
x | (Mandatory) | The x coordinate of a reference point to align the text.
y | (Mandatory) | The y coordinate of a reference point to align the text.
color | (Mandatory) | The color of the text.
alignment | TopLeft | The position of the text relative to the reference point. See Alignment Specification for supported alignment types.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.